
class Solution:
    def __init__(self):

        pass
    def find_max_length(self, array, k):
        if not array:
            return 0
        sum_subarray = array[0]
        left, right = 0, 1
        max_length = 0
        while right < len(array):
            if sum_subarray == k:
                max_length = max(max_length, right - left)
                sum_subarray += array[right]
                right += 1





